#!/usr/bin/python

from PySide.QtCore import *
import QmSystem
import time

class client(QObject):
    def __init__(self):
        QObject.__init__(self)
        mag = QmSystem.QmMagnetometer(self)

        QObject.connect(mag, SIGNAL('dataAvailable(const MeeGo::QmMagnetometerReading&)'), self.dataAvailable)

        mag.requestSession()
        print "Requesting property from unstarted sensor:"
        self.dataAvailable(mag.magneticField())
        print "Starting sensor"
        mag.start()

    def dataAvailable(self, data):
        print "Timestamp        : %d" % data.timestamp
        print "CalibrationLevel : %d" % data.level
        print "Calibrated values: %d %d %d" % (data.x, data.y, data.z)
        print "Raw values       : %d %d %d" % (data.rx, data.ry, data.rz)
        print "------"

def main():
    app = QCoreApplication([])
    c = client()
    return app.exec_()

if __name__ == '__main__':
    main()

