#!/usr/bin/python

from PySide.QtCore import *
import QmSystem
import time

class client(QObject):
    def __init__(self):
        QObject.__init__(self)
        rot = QmSystem.QmRotation(self)

        QObject.connect(rot, SIGNAL('dataAvailable(const MeeGo::QmRotationReading&)'), self.dataAvailable)

        rot.requestSession()
        print "Requesting property from unstarted sensor:"
        self.dataAvailable(rot.rotation())
        print "Z-Axis availability: %r" % rot.hasZ()
        print "Starting sensor"
        rot.start()

    def dataAvailable(self, data):
        print "[%d]: (%d, %d, %d)" % (data.timestamp, data.x, data.y, data.z)

def main():
    app = QCoreApplication([])
    c = client()
    return app.exec_()

if __name__ == '__main__':
    main()

